Subject: Re: [VRRP] vrrpv3 with global IPv6

From: Seiichi Kawamura <[email-masked]>
Date: Wed, 04 Aug 2010 13:55:58 +0900

Hi John

Since this is a PS,
I would say something like the following
is much more clear and describes what was intended.

   For IPv6, the first address MUST be the IPv6 link-local address
   associated with the virtual router. This field MAY also carry other
   addresses backed up by the virtual router. The global
   unicast address defined in [RFC4291] in particular SHOULD be allowed
   (but not required) for the second or later address in this field.

IMHO, an update to this RFC or Errata filed
would save time for a lot of people.
What do you think?

Regards,
Seiichi

John Cruz (johcruz) wrote:
> Hi,
> 
>>> The current standards supports virtual addresses that have
>>> global scope.
>> Can you point to a specific phrase in the RFC where it says so?
>> I could not find any mention of the word global in the RFC
>> nor any RFC2119 words relating to scopes of addresses.
> 
> 
> [John] The statement that the first virtual address must be
> a link-local addresses implies that the other address can
> have global scope. As you mention, global scope is not
> explicitly mentioned.
> 
> John
> 
> 
>> Regards,
>> Seiichi
>>
>>> Regards
>>> John
>>>
>>>> -----Original Message-----
>>>> From: [email-masked] [mailto:[email-masked]] On
> Behalf
>>> Of
>>>> Seiichi Kawamura
>>>> Sent: Friday, July 30, 2010 5:42 AM
>>>> To: [email-masked]
>>>> Cc: [email-masked]; [email-masked]; [email-masked]
>>>> Subject: [VRRP] vrrpv3 with global IPv6
>>>>
>>> I've been discussing this with a few people this week
>>> and thought that it was worth asking this list.
>>>
>>> rfc5798 says in section 5.2.9
>>>
>>>    For IPv6, the first address must be the IPv6 link-local address
>>>    associated with the virtual router.
>>>
>>> It implies that a global address can be associated
>>> with the virtual router, but some routers
>>> implement link-local capability only becuase only the
>>> link-local address is mentioned here.
>>>
>>> The problem is, operators need global scope addresses with
>>> virtual routers and we have to ask each vendor to
>>> implement it if they have not already done so. The main
>>> reason we need this is becausewe need to monitor the address
>>> from a remote network as we do with IPv4.
>>>
>>> I just joined this list, but can someone
>>> tell me what was the thinking was  behind not
>>> mentioning global addresses in this RFC?
>>>
>>> Thank you
>>>
>>> Regards,
>>> Seiichi
>>>
>> _______________________________________________
>> vrrp mailing list
>> [email-masked]
>> https://www.ietf.org/mailman/listinfo/vrrp
>>
>> -----BEGIN PGP SIGNATURE-----
>> Version: GnuPG v1.4.9 (MingW32)
>>
>> iEYEARECAAYFAkxTUhEACgkQcrhTYfxyMkKL1wCgjlVy8g4RhiMF1Upq++3zs3Vi
>> nCkAn34uQUGI4XJtaFXuh+i0C+k2gsJR
>> =OL8C
>> -----END PGP SIGNATURE-----
>